package com.zheng.demo;

import java.time.Duration;
import java.time.Instant;
import java.time.temporal.ChronoUnit;

public class AddDays_Instant {
	private Instant currentDate;

	public AddDays_Instant() {
		super();
		currentDate = Instant.now();
	}

	public Instant addDays_by_plus_2(Long days) {
		return currentDate.plus(days.longValue(), ChronoUnit.DAYS);
	}
	
	public Instant addDays_by_plus(Long days) {
		return currentDate.plus(Duration.ofDays(days.longValue()));
	}

	public Instant substractDaysWithMinus(Long days) {
		return currentDate.minus(days.longValue(), ChronoUnit.DAYS);
	}

	public Instant getCurrentDate() {
		return currentDate;
	}

	public void setCurrentDate(Instant currentDate) {
		this.currentDate = currentDate;
	}

}
