package com.zheng.demo;

import java.time.Period;
import java.time.ZonedDateTime;
import java.time.temporal.ChronoUnit;

public class AddDays_ZonedDateTime {
	private ZonedDateTime currentDate;

	public AddDays_ZonedDateTime() {
		super();
		currentDate = ZonedDateTime.now();
	}

	public ZonedDateTime addDays_by_plusDays(Long days) {
		return currentDate.plusDays(days.longValue());
	}
	
	public ZonedDateTime addDays_by_plus(Long days) {
		return currentDate.plus(Period.ofDays(days.intValue()));
	}
	
	public ZonedDateTime addDays_by_plus_2(Long days) {
		return currentDate.plus(days.longValue(), ChronoUnit.DAYS);
	}
	
	public ZonedDateTime substractDays_by_minusDays(Long days) {
		return currentDate.minusDays(days.longValue());
	}

	public ZonedDateTime getCurrentDate() {
		return currentDate;
	}

	public void setCurrentDate(ZonedDateTime currentDate) {
		this.currentDate = currentDate;
	}

}
